Bug 426611 - Review Request: monotone-viz - gtk visualizer for monotone revision graphs
Review Request: monotone-viz - gtk visualizer for monotone revision graphs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 18:15 EST by Roland McGrath
Modified: 2008-01-23 16:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 16:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thomas.moschny: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Add an icon and a .desktop file. (1.54 KB, patch)
2008-01-12 20:59 EST, Thomas Moschny
no flags Details | Diff

  None (edit)
Description Roland McGrath 2007-12-22 18:15:58 EST
Spec URL: http://people.redhat.com/roland/tmp/monotone-viz.spec
SRPM URL: http://people.redhat.com/roland/tmp/monotone-viz-1.0-1.fc9.src.rpm
Description: This is a small GNOME application to visualize monotone ancestry graphs.
Comment 1 Thomas Moschny 2007-12-30 14:23:57 EST
Note: This is NOT a formal review (as I am not a reviewer yet).

[x] package meets naming guidelines
[x] specfile is encoded in ascii or utf-8
[x] specfile matches base package name
[x] specfile uses macros consistently
[x] specfile is written cleanly
[x] specfile is written in AE
[x] changelog is present and has correct format
[!] license matches actual license
    The help->license box says GPLv2+, the README says GPLv2.
    Should probably be fixed upstream?
[x] license is open source-compatible
[x] license text is included in package
[x] source tag has correct url
[x] source files match upstream
    md5sum: 79306857a378d106166bfdb407eebf1e
[x] latest version is packaged
    version 1.0
[!] summary is concise
    The description says 'GNOME' application, while the summary says 'GTK+.'
[x] full stop after %description
[x] dist tag is present
[x] buildroot is correct
[x] buildroot is prepped
[x] %clean is present
[x] proper build requirements
[x] proper requirements
[x] uses %{?_smp_mflags}
[x] uses %{optflags}
    via %configure
[x] doesn't use %makeinstall
[x] package builds at least on one architecture
    tested on: i386/f8, x86_64/f8
[x] packages installs and runs at least on one architecture
    tested on: i386/f8, x86_64/f8
[x] rpmlint is quiet
[!] final provides/requires look sane
    The specfile uses the standard magic boilerplate for ocaml
    libraries, which is imho not needed for native applications.
[-] ldconfig called in %post and %postun if required
[x] code, not content
[x] file permissions are appropriate
[x] debuginfo package looks usable
[-] config files marked as %config(noreplace)
[x] owns all the directories it creates
[-] static libraries in -devel subpackage
[-] header files in -devel subpackage
[-] development .so files in -devel subpackage
[-] pkgconfig files in -devel subpackage, requires pkgconfig
[-] no .la files
[x] doesn't need a -docs subpackage
[x] relevant docs are included
[x] doc files are not needed at runtime
[!] provides a .desktop file, build-requires desktop-file-utils
    This is a GUI application, thus needs a .desktop file.
[-] uses %find_lang, build-requires gettext

Additional note(s):

During the build process a 'mtn: misuse: workspace required but not
found' message is printed, this seems to be harmless though.
Comment 2 Roland McGrath 2008-01-01 23:59:30 EST
wrt license: the README says v2, but the program itself--in the only place it
says "copyright" and so forth, says v2+ (see ui.ml).  There are no formal
copyright headers in the actual source files.   I take the latter to be the
author's intent.  We can ask him.

wrt spec file ocaml boilerplate: removed

wrt .desktop file: out of my area, never wrote one before; I tried to look at
the equivalent gitk package for a model, but it doesn't have one either.

Updated packages uploaded, please approve.
Comment 3 Thomas Moschny 2008-01-12 20:58:30 EST
(In reply to comment #2)
> wrt .desktop file: out of my area, never wrote one before; I tried to 
> look at the equivalent gitk package for a model, but it doesn't have 
> one either.

Other packages not following the Packaging Guidelines is not an excuse imho. 
In fact, adding a .desktop file isn't that complicated, attaching a patch.
Comment 4 Thomas Moschny 2008-01-12 20:59:59 EST
Created attachment 291485 [details]
Add an icon and a .desktop file.
Comment 5 Roland McGrath 2008-01-12 21:17:30 EST
Thanks!  I've integrated the .desktop file into the srpm and uploaded a new
version to the same place.
Comment 6 Thomas Moschny 2008-01-21 15:17:23 EST
Upstream released 1.0.1. The changelog reads as follows:

* fix a compilation problem on some systems 
* be more precise concerning the license (GPL 2+)
Comment 7 Roland McGrath 2008-01-21 16:25:17 EST
New spec and srpm uploaded

Spec URL: http://people.redhat.com/roland/tmp/monotone-viz.spec
SRPM URL: http://people.redhat.com/roland/tmp/monotone-viz-1.0.1-1.fc9.src.rpm

Please review & approve.
Comment 8 Jason Tibbitts 2008-01-21 18:05:47 EST
Thomas: You're sponsored now, so you can finish up this review if you like.
Comment 9 Thomas Moschny 2008-01-22 19:08:42 EST
Looks good:

- license issue has been fixed upstream
- latest version is packaged
- summary and description are in sync
- final provides/requires look sane
- .desktop file and icon have been added
- package builds at least on one architecture (f8/i386)
- packages installs and runs at least on one architecture (f8/i386)
- rpmlint is still quiet

APPROVED.
Comment 10 Roland McGrath 2008-01-22 19:19:50 EST
New Package CVS Request
=======================
Package Name: monotone-viz
Short Description: GNOME application that visualizes Monotone ancestry graphs
Owners: roland
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-01-23 13:34:38 EST
cvs done.
Comment 12 Roland McGrath 2008-01-23 16:20:34 EST
away we go

Note You need to log in before you can comment on or make changes to this bug.